package market.Slm.ServiceManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ServiceManagement.mapper.SlmServiceObjDeclareHeatMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_SERVICE_OBJ_DECLARE_HEAT", namespace=SlmServiceObjDeclareHeatMapper.class)
public class SlmServiceObjDeclareHeat extends BaseVO implements Serializable {

	 

	/**
	 * 
	 */
	private static final long serialVersionUID = 3707363943599988064L;

	/**
	 * 	异议申报头表
	 */
	
	@Id
	//申报编号
	private String heat_no;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//申报时间
	private Date declare_time;
	
	@Column
	//申报人编号
	private String declarer_no;
	
	@Column
	//申报人姓名
	private String declarer_name;
	
	@Column
	//合同编号
	private String contract_no;
	
	@Column
	//客户编号
	private String customer_no;
	@Column
	//合同头主键
	private String contract_pk;
	
	public String getContract_pk() {
		return contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	@Column
	//客户名称
	private String customer_name;
	
	@Column
	//合同类型编号(1016)
	private String contract_type_no;
	
	@Column
	//合同类型名称
	private String contract_type_name;
	
	@Column
	//贸易类型编号（1017）
	private String trade_type_no;
	
	@Column
	//贸易类型名称
	private String trade_type_name;
	
	@Column
	//供货单位编号
	private String supply_unit_no;
	
	@Column
	//供货单位名称
	private String supply_unit_name;
	
	@Column
	//结算单位编号
	private String balance_unit_no;
	
	@Column
	//结算单位名称
	private String balance_unit_name;
	
	@Column
	//订货单位编号
	private String order_unit_no;
	
	@Column
	//订货单位名称
	private String order_unit_name;
	
	@Column
	//计价方式编号（1018）  1：随行就市，2：锁价
	private String price_type_no;
	
	@Column
	//计价方式名称
	private String price_type_name;
	
	@Column
	//销售组织编号
	private String sale_org_no;
	
	@Column
	//销售组织名称
	private String sale_org_name;
	
	@Column
	//销售区域编号
	private String sale_area_no;
	
	@Column
	//销售区域名称
	private String sale_area_name;
	
	@Column
	//异议性质 1：计量异议；2：质量异议；3：其他
	private String objection_nature;
	
	@Column
	//异议状态0:待提交；1：异议提案；2：异议立案；3：异议核实；4：异议待处理；
	//5：异议处理；6：异议待审批；7：异议审批；8：异议结案；9：作废；10：驳回
	private String objection_flag;
	
	@Column
	//客户要求
	private String customer_ask;
	
	@Column
	//客户联系人
	private String contact_man;
	
	@Column
	//客户联系电话
	private String contact_phone;
	
	@Column
	//审批结果1：通过；2：不通过
	private String approval_result;
	
	@Column
	//立案人编号
	private String record_man_no;
	
	@Column
	//立案人姓名
	private String record_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//立案时间
	private Date record_time;
	
	@Column
	//核实人编号
	private String check_man_no;
	
	@Column
	//核实人姓名
	private String check_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//核实时间
	private Date check_time;
	
	@Column
	//处理人编号
	private String hand_man_no;
	
	@Column
	//处理人姓名
	private String hand_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//处理时间
	private Date hand_time;
	
	@Column
	//审批人编号
	private String approval_man_no;
	
	@Column
	//审批人姓名
	private String approval_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//审批时间
	private Date approval_time;
	
	@Column
	//结案人编号
	private String close_man_no;
	
	@Column
	//结案人姓名
	private String close_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//结案时间
	private Date close_time;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//异议处理开始时间
	private Date estart_time;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//异议处理结束时间
	private Date eend_time;
	
	@Column
	//异议处理工作日天数
	private Integer  estart_eend_days;
	
	@Column
	//客户评价
	private String customer_review;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//客户评价时间
	private Date customer_review_time;
	
	@Column
	//客户评价分值
	private Double customer_review_value;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//驳回时间
	private Date reject_time;
	public Date getReject_time() {
		return reject_time;
	}
	public void setReject_time(Date reject_time) {
		this.reject_time = reject_time;
	}

	@Column
	//驳回人编号
	private String reject_man_no;
	public String getReject_man_no() {
		return reject_man_no;
	}
	public void setReject_man_no(String reject_man_no) {
		this.reject_man_no = reject_man_no;
	}
	
	@Column
	//驳回人
	private String reject_man_name;
	public String getReject_man_name() {
		return reject_man_name;
	}
	public void setReject_man_name(String reject_man_name) {
		this.reject_man_name = reject_man_name;
	}
	
	@Column
	//驳回信息
	private String reject_context;
	public String getReject_context() {
		return reject_context;
	}
	public void setReject_context(String reject_context) {
		this.reject_context = reject_context;
	}

	//异议数量
	private int count;

	public String getHeat_no() {
		return heat_no;
	}

	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	public Date getDeclare_time() {
		return declare_time;
	}

	public void setDeclare_time(Date declare_time) {
		this.declare_time = declare_time;
	}

	public String getDeclarer_no() {
		return declarer_no;
	}

	public void setDeclarer_no(String declarer_no) {
		this.declarer_no = declarer_no;
	}

	public String getDeclarer_name() {
		return declarer_name;
	}

	public void setDeclarer_name(String declarer_name) {
		this.declarer_name = declarer_name;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	public String getContract_type_no() {
		return contract_type_no;
	}

	public void setContract_type_no(String contract_type_no) {
		this.contract_type_no = contract_type_no;
	}

	public String getContract_type_name() {
		return contract_type_name;
	}

	public void setContract_type_name(String contract_type_name) {
		this.contract_type_name = contract_type_name;
	}

	public String getTrade_type_no() {
		return trade_type_no;
	}

	public void setTrade_type_no(String trade_type_no) {
		this.trade_type_no = trade_type_no;
	}

	public String getTrade_type_name() {
		return trade_type_name;
	}

	public void setTrade_type_name(String trade_type_name) {
		this.trade_type_name = trade_type_name;
	}

	public String getSupply_unit_no() {
		return supply_unit_no;
	}

	public void setSupply_unit_no(String supply_unit_no) {
		this.supply_unit_no = supply_unit_no;
	}

	public String getSupply_unit_name() {
		return supply_unit_name;
	}

	public void setSupply_unit_name(String supply_unit_name) {
		this.supply_unit_name = supply_unit_name;
	}

	public String getBalance_unit_no() {
		return balance_unit_no;
	}

	public void setBalance_unit_no(String balance_unit_no) {
		this.balance_unit_no = balance_unit_no;
	}

	public String getBalance_unit_name() {
		return balance_unit_name;
	}

	public void setBalance_unit_name(String balance_unit_name) {
		this.balance_unit_name = balance_unit_name;
	}

	public String getOrder_unit_no() {
		return order_unit_no;
	}

	public void setOrder_unit_no(String order_unit_no) {
		this.order_unit_no = order_unit_no;
	}

	public String getOrder_unit_name() {
		return order_unit_name;
	}

	public void setOrder_unit_name(String order_unit_name) {
		this.order_unit_name = order_unit_name;
	}

	public String getPrice_type_no() {
		return price_type_no;
	}

	public void setPrice_type_no(String price_type_no) {
		this.price_type_no = price_type_no;
	}

	public String getPrice_type_name() {
		return price_type_name;
	}

	public void setPrice_type_name(String price_type_name) {
		this.price_type_name = price_type_name;
	}

	public String getSale_org_no() {
		return sale_org_no;
	}

	public void setSale_org_no(String sale_org_no) {
		this.sale_org_no = sale_org_no;
	}

	public String getSale_org_name() {
		return sale_org_name;
	}

	public void setSale_org_name(String sale_org_name) {
		this.sale_org_name = sale_org_name;
	}

	public String getSale_area_no() {
		return sale_area_no;
	}

	public void setSale_area_no(String sale_area_no) {
		this.sale_area_no = sale_area_no;
	}

	public String getSale_area_name() {
		return sale_area_name;
	}

	public void setSale_area_name(String sale_area_name) {
		this.sale_area_name = sale_area_name;
	}

	public String getObjection_nature() {
		return objection_nature;
	}

	public void setObjection_nature(String objection_nature) {
		this.objection_nature = objection_nature;
	}

	public String getObjection_flag() {
		return objection_flag;
	}

	public void setObjection_flag(String objection_flag) {
		this.objection_flag = objection_flag;
	}

	public String getCustomer_ask() {
		return customer_ask;
	}

	public void setCustomer_ask(String customer_ask) {
		this.customer_ask = customer_ask;
	}

	public String getContact_man() {
		return contact_man;
	}

	public void setContact_man(String contact_man) {
		this.contact_man = contact_man;
	}

	public String getContact_phone() {
		return contact_phone;
	}

	public void setContact_phone(String contact_phone) {
		this.contact_phone = contact_phone;
	}

	public String getApproval_result() {
		return approval_result;
	}

	public void setApproval_result(String approval_result) {
		this.approval_result = approval_result;
	}

	public String getRecord_man_no() {
		return record_man_no;
	}

	public void setRecord_man_no(String record_man_no) {
		this.record_man_no = record_man_no;
	}

	public String getRecord_man_name() {
		return record_man_name;
	}

	public void setRecord_man_name(String record_man_name) {
		this.record_man_name = record_man_name;
	}

	public Date getRecord_time() {
		return record_time;
	}

	public void setRecord_time(Date record_time) {
		this.record_time = record_time;
	}

	public String getCheck_man_no() {
		return check_man_no;
	}

	public void setCheck_man_no(String check_man_no) {
		this.check_man_no = check_man_no;
	}

	public String getCheck_man_name() {
		return check_man_name;
	}

	public void setCheck_man_name(String check_man_name) {
		this.check_man_name = check_man_name;
	}

	public Date getCheck_time() {
		return check_time;
	}

	public void setCheck_time(Date check_time) {
		this.check_time = check_time;
	}

	public String getHand_man_no() {
		return hand_man_no;
	}

	public void setHand_man_no(String hand_man_no) {
		this.hand_man_no = hand_man_no;
	}

	public String getHand_man_name() {
		return hand_man_name;
	}

	public void setHand_man_name(String hand_man_name) {
		this.hand_man_name = hand_man_name;
	}

	public Date getHand_time() {
		return hand_time;
	}

	public void setHand_time(Date hand_time) {
		this.hand_time = hand_time;
	}

	public String getApproval_man_no() {
		return approval_man_no;
	}

	public void setApproval_man_no(String approval_man_no) {
		this.approval_man_no = approval_man_no;
	}

	public String getApproval_man_name() {
		return approval_man_name;
	}

	public void setApproval_man_name(String approval_man_name) {
		this.approval_man_name = approval_man_name;
	}

	public Date getApproval_time() {
		return approval_time;
	}

	public void setApproval_time(Date approval_time) {
		this.approval_time = approval_time;
	}

	public String getClose_man_no() {
		return close_man_no;
	}

	public void setClose_man_no(String close_man_no) {
		this.close_man_no = close_man_no;
	}

	public String getClose_man_name() {
		return close_man_name;
	}

	public void setClose_man_name(String close_man_name) {
		this.close_man_name = close_man_name;
	}

	public Date getClose_time() {
		return close_time;
	}

	public void setClose_time(Date close_time) {
		this.close_time = close_time;
	}

	public Date getEstart_time() {
		return estart_time;
	}

	public void setEstart_time(Date estart_time) {
		this.estart_time = estart_time;
	}

	public Date getEend_time() {
		return eend_time;
	}

	public void setEend_time(Date eend_time) {
		this.eend_time = eend_time;
	}

	public Integer getEstart_eend_days() {
		return estart_eend_days;
	}

	public void setEstart_eend_days(Integer estart_eend_days) {
		this.estart_eend_days = estart_eend_days;
	}

	public String getCustomer_review() {
		return customer_review;
	}

	public void setCustomer_review(String customer_review) {
		this.customer_review = customer_review;
	}

	public Date getCustomer_review_time() {
		return customer_review_time;
	}

	public void setCustomer_review_time(Date customer_review_time) {
		this.customer_review_time = customer_review_time;
	}

	public Double getCustomer_review_value() {
		return customer_review_value;
	}

	public void setCustomer_review_value(Double customer_review_value) {
		this.customer_review_value = customer_review_value;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}
}